openhatch

Issue332

Title Add monitoring of the weekly project emails to /+meta/
Milestone 0.11.03 Priority critical
Waiting On Status resolved
Superseder Nosy List jesstess, nacarino, paulproteus
Assigned To nacarino Keywords

Created on 2011-03-12.22:13:14 by paulproteus, last changed 2011-03-24.14:47:44 by paulproteus.

Files
File name Uploaded Type Edit Remove
0002-I-ve-added-the-management-command-w-to-check-for-the.patch nacarino, 2011-03-17.15:32:34 application/octet-stream
id_rsa.pub nacarino, 2011-03-17.06:11:37 application/octet-stream
Messages
msg1338 (view) Author: paulproteus Date: 2011-03-24.14:47:43
Hey all,

jesstess: thanks for the suggested change in process. I like the changes. I
updated https://openhatch.org/wiki/Monitoring#Making_changes to match.

The changes themselves look good, too. Merged into "master"; "testing" branch
deleted.

Resolved!
msg1304 (view) Author: jesstess Date: 2011-03-19.21:26:11
We weren't getting mail because contact_groups wasn't defined for the WeeklyEmailStatus or 
MetaPage services. There were uncommitted changes to the service definitions, which I committed 
in a testing branch, and I added another commit adding these contact_groups.

paulproteus: please review the testing branch and merge to master if everything looks good.

For future Nagios config changes, I recommend that we develop on a branch and have the author 
set him/herself as the commit author. That'll make reviews and debugging easier.
msg1287 (view) Author: paulproteus Date: 2011-03-17.16:10:50
(Adding jesstess, and setting status to 'chatting' since the next step isn't
quite clear.)
msg1286 (view) Author: paulproteus Date: 2011-03-17.16:10:25
I gave you some feedback on IRC. I'll repeat here:

In the future, try to keep related commits together. So the whitespace fixes
that aren't related to this commit's topic should be a separate commit/patch file.

I've pushed the patch. I still can't get Nagios to see the right things. But
your SSH key is there -- see https://openhatch.org/wiki/Monitoring for more info.
msg1285 (view) Author: nacarino Date: 2011-03-17.15:32:34
New test cases as well as some trailing whitespace elimination for nagios -w
management command.

Have fun!
msg1284 (view) Author: paulproteus Date: 2011-03-17.06:27:11
re: the patch:

It looks very, very good. I'm going to increase my nitpickiness level and ask 
that you remove the " " character at the end of the "return 0" line. Do that, and 
resubmit, and I'll push it.

Before I deploy, I'll say: it would be nice if you also add an "integration" 
test, with:

* One test for the CRITICAL case: with a fresh database, you would get a CRITICAL 
return value. (This is because the Timestamp is set to 0 by default.)

* One test for the OK case: if you call .handle() on the send_weekly_emails 
management command, and *then* do the Nagios check, it should say things are OK. 
(This is because running the send_weekly_emails management command should add a 
Timestamp value that your nagios.py code picks up on.)

re: SSH key:

I'll deploy this to nagios@linode2 as soon as the patch above lands.

re: this bug:

There is a bug "status" called "needs-review". Mark the bug with that status to 
make sure we see it. I'm also marking the bug as "Assigned To" you.

re: all of this:

This is totally excellent work. I really hope you stay involved! We have weekly 
meetings to plan the release process, and discuss how our contributions are 
going, and I hope you come to them.
msg1283 (view) Author: nacarino Date: 2011-03-17.06:12:27
Unit tests and functions for management nagios -w command
msg1282 (view) Author: nacarino Date: 2011-03-17.06:11:37
SSH key for access
msg1273 (view) Author: paulproteus Date: 2011-03-15.19:51:16
It seems to me that a good way to do this is to:

* Add an option to the "nagios" management command: -w

* Make it CRITICAL if the Timestamp for the weekly project emails is older than
1 week.
msg1248 (view) Author: paulproteus Date: 2011-03-12.22:13:14
We should really add some monitoring hooks here so that we know if it breaks.
History
Date User Action Args
2011-03-24 14:47:44paulproteussetstatus: need-review -> resolved
messages: + msg1338
2011-03-19 21:26:16jesstesssetstatus: chatting -> need-review
messages: + msg1304
2011-03-17 16:10:51paulproteussetstatus: need-review -> chatting
nosy: + jesstess
messages: + msg1287
2011-03-17 16:10:25paulproteussetmessages: + msg1286
2011-03-17 15:32:34nacarinosetfiles: + 0002-I-ve-added-the-management-command-w-to-check-for-the.patch
messages: + msg1285
2011-03-17 15:31:13nacarinosetfiles: - 0002-I-ve-added-the-management-command-w-to-check-for-the.patch
2011-03-17 14:37:39nacarinosetstatus: chatting -> need-review
2011-03-17 06:27:12paulproteussetassignedto: nacarino
messages: + msg1284
2011-03-17 06:12:27nacarinosetfiles: + 0002-I-ve-added-the-management-command-w-to-check-for-the.patch
messages: + msg1283
2011-03-17 06:11:38nacarinosetfiles: + id_rsa.pub
messages: + msg1282
2011-03-15 19:51:16paulproteussetstatus: unread -> chatting
nosy: + nacarino
messages: + msg1273
2011-03-12 22:13:14paulproteuscreate